;InnoSetupVersion=5.0.4

[Setup]
AppName=Exsate DV Capture Live
AppVerName=Exsate DV Capture Live 1.0
AppId=Exsate DV Capture Live
AppVersion=1.0
AppPublisher=Exsate Software
AppPublisherURL=http://www.exsate.com
AppSupportURL=http://www.exsate.com/support/
AppUpdatesURL=http://www.exsate.com/download/
AppMutex=vxpress
DefaultDirName={reg:HKLM\Software\Exsate\DV Capture Live,InstallDir|{pf}\Exsate DV Capture Live}
DefaultGroupName=Exsate DV Capture Live
UninstallDisplayIcon={app}\DVCLive.exe
UninstallDisplayName=Exsate DV Capture Live
OutputBaseFilename=dvcsetup
Compression=lzma
PrivilegesRequired=poweruser
ChangesAssociations=yes
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\DVCLive.exe"; DestDir: "{app}"; MinVersion: 0.0,5.0.2195; Flags: ignoreversion 
Source: "{cf}\Exsate Shared\exsvl.ax"; DestDir: "{cf}\Exsate Shared"; MinVersion: 0.0,5.0.2195; Flags: regserver sharedfile 
Source: "{app}\license.txt"; DestDir: "{app}"; MinVersion: 0.0,5.0.2195; Flags: ignoreversion 
Source: "{app}\readme.txt"; DestDir: "{app}"; MinVersion: 0.0,5.0.2195; Flags: ignoreversion 
Source: "{app}\dvcintrf.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0.2195; Flags: ignoreversion 

[Registry]
Root: HKLM; Subkey: "SOFTWARE\Exsate"; MinVersion: 0.0,5.0.2195; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "SOFTWARE\Exsate\DV Capture Live"; ValueName: "InstallDir"; ValueType: String; ValueData: "{app}"; MinVersion: 0.0,5.0.2195; Flags: uninsdeletekeyifempty 
Root: HKCR; Subkey: ".dvcl"; ValueType: String; ValueData: "dvclive.1"; MinVersion: 0.0,5.0.2195; Flags: createvalueifdoesntexist uninsdeletekey 
Root: HKCR; Subkey: "dvclive.1"; ValueType: String; ValueData: "Exsate DV Capture Live Project"; MinVersion: 0.0,5.0.2195; Flags: uninsdeletekey 
Root: HKCR; Subkey: "dvclive.1\DefaultIcon"; ValueType: String; ValueData: "{app}\DVCLive.exe,1"; MinVersion: 0.0,5.0.2195; 
Root: HKCR; Subkey: "dvclive.1\shell\open\command"; ValueType: String; ValueData: """{app}\DVCLive.exe"" ""%1"""; MinVersion: 0.0,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\EventHandlers\VideoCameraArrival"; ValueName: "ExsateDVCLHandler"; ValueType: String; MinVersion: 0.0,5.0.2195; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\ExsateDVCLHandler"; MinVersion: 0.0,5.0.2195; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\ExsateDVCLHandler"; ValueName: "Action"; ValueType: String; ValueData: "Capture and recompress on the fly"; MinVersion: 0.0,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\ExsateDVCLHandler"; ValueName: "DefaultIcon"; ValueType: ExpandSZ; ValueData: "{app}\DVCLive.exe,0"; MinVersion: 0.0,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\ExsateDVCLHandler"; ValueName: "InitCmdLine"; ValueType: String; ValueData: "{app}\DVCLive.exe"; MinVersion: 0.0,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\ExsateDVCLHandler"; ValueName: "ProgID"; ValueType: String; ValueData: "Shell.HWEventHandlerShellExecute"; MinVersion: 0.0,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\ExsateDVCLHandler"; ValueName: "Provider"; ValueType: String; ValueData: "Exsate DV Capture Live"; MinVersion: 0.0,5.0.2195; 

[INI]
FileName: "{app}\dvclive.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.exsate.com"; 

[Run]
Filename: "{app}\DVCLive.exe"; Description: "Launch Exsate DV Capture Live"; MinVersion: 0.0,5.0.2195; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Exsate DV Capture Live"; Filename: "{app}\DVCLive.exe"; WorkingDir: "{app}"; IconFilename: "{app}\DVCLive.exe"; Comment: "DV capture and encoding to AVI WMV on the fly. Displays DV date time stamp"; MinVersion: 0.0,5.0.2195; 
Name: "{group}\Exsate DV Capture Live ReadMe"; Filename: "{app}\readme.txt"; Comment: "Important information about Exsate DV Capture Live"; MinVersion: 0.0,5.0.2195; 
Name: "{group}\Exsate DV Capture Live on the Web"; Filename: "{app}\dvclive.url"; Comment: "Click to visit the Exsate DV Capture Live home page"; MinVersion: 0.0,5.0.2195; 
Name: "{group}\Uninstall Exsate DV Capture Live"; Filename: "{uninstallexe}"; MinVersion: 0.0,5.0.2195; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Exsate DV Capture Live"; Filename: "{app}\DVCLive.exe"; WorkingDir: "{app}"; IconFilename: "{app}\DVCLive.exe"; Comment: "DV capture and encoding to AVI WMV on the fly. Displays DV date time stamp"; Tasks: quicklaunchicon; MinVersion: 0.0,5.0.2195; 

[Tasks]
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; MinVersion: 0.0,5.0.2195; 

[InstallDelete]
Type: files; Name: "{app}\exsvl.ax"; 

[UninstallDelete]
Type: files; Name: "{app}\vexpress.url"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
